<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwMCS: fwMCS.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwMCS
   &#160;<span id="projectnumber">8.4.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwMCS_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwMCS.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:a0ac92d8e1e91c36225d9a489b2401567"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a0ac92d8e1e91c36225d9a489b2401567">fwMCS_subscribeExperiment</a> (string experim, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0ac92d8e1e91c36225d9a489b2401567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e8d2975e8d73c150e30fcc6808c7045"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a5e8d2975e8d73c150e30fcc6808c7045">fwMCS_unsubscribeExperiment</a> (string experim)</td></tr>
<tr class="separator:a5e8d2975e8d73c150e30fcc6808c7045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6650f08b25cd50d0be88200663e57e05"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a6650f08b25cd50d0be88200663e57e05">_fwCreateDPT</a> (string dptName, dyn_string fieldNames, dyn_int fieldTypes, string type, dyn_string &amp;exceptionMessage)</td></tr>
<tr class="separator:a6650f08b25cd50d0be88200663e57e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7406d34f6074382e7ed010b7a0367c2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#ac7406d34f6074382e7ed010b7a0367c2">_DPTExists</a> (string pattern)</td></tr>
<tr class="separator:ac7406d34f6074382e7ed010b7a0367c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76e7a344e69ca2eed6b852058325d677"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a76e7a344e69ca2eed6b852058325d677">_setModelData</a> (string newDp, dyn_string dS1, string current)</td></tr>
<tr class="separator:a76e7a344e69ca2eed6b852058325d677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a597d2a209db249b907af879dfddff4c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a597d2a209db249b907af879dfddff4c6">_configureAdditionalDpe</a> (string curDpe, string ramDpe, string magnetSel, string experiment)</td></tr>
<tr class="separator:a597d2a209db249b907af879dfddff4c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea67a93aee0d3bce13f248ba60ccdb8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#acea67a93aee0d3bce13f248ba60ccdb8">_getValuesDeviceUnit</a> (string DPT, string current, string ramping, dyn_dyn_string &amp;names, dyn_string &amp;exceptionMessage)</td></tr>
<tr class="separator:acea67a93aee0d3bce13f248ba60ccdb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6462f3eae36ca95ce843ea8b24697d2a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a6462f3eae36ca95ce843ea8b24697d2a">_createDeviceUnit</a> (string fwMagnetDP, dyn_dyn_string values)</td></tr>
<tr class="separator:a6462f3eae36ca95ce843ea8b24697d2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa54514e2251a69274551deaf830fb198"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#aa54514e2251a69274551deaf830fb198">_getDptFieldData</a> (string DPT, dyn_string &amp;dfn)</td></tr>
<tr class="separator:aa54514e2251a69274551deaf830fb198"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43e98cae8e71cec51815c8c62a4cf35"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#ad43e98cae8e71cec51815c8c62a4cf35">_isSameStructure</a> (dyn_string ds1, dyn_string ds2)</td></tr>
<tr class="separator:ad43e98cae8e71cec51815c8c62a4cf35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537d57c2867b3ab3fb24fd7c97205698"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwMCS_8ctl.html#a537d57c2867b3ab3fb24fd7c97205698">_getDataType</a> (int typeIn, string &amp;typeOut)</td></tr>
<tr class="separator:a537d57c2867b3ab3fb24fd7c97205698"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains functions and constants needed by the fwMCS -</p>
<ul>
<li>the Magnet</li>
</ul>
<dl class="section user"><dt>Creation Date</dt><dd>14/06/2006</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd>None</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Laura Fernández Nocelo (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a0ac92d8e1e91c36225d9a489b2401567"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwMCS_subscribeExperiment </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>experim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for subscribing all the publications for an experiment
</pre> <dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000001">Reviewed:</a></b></dt><dd>2018-08-16 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">experim</td><td>name of the experiment </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, information about errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5e8d2975e8d73c150e30fcc6808c7045"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwMCS_unsubscribeExperiment </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>experim</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Function used for unsubscribing all the publications for an experiment
</pre> <dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000002">Reviewed:</a></b></dt><dd>2018-08-16 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">experim</td><td>name of the experiment </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6650f08b25cd50d0be88200663e57e05"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwCreateDPT </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dptName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>fieldNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>fieldTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionMessage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function used for creating or changing a DPT for the DIP subscription </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dptName</td><td>input, the name the DPT to create </td></tr>
    <tr><td class="paramname">fieldNames</td><td>input, field names of the DPT </td></tr>
    <tr><td class="paramname">fieldTypes</td><td>input, field types of the DPT </td></tr>
    <tr><td class="paramname">type</td><td>input, specify if the DPT has to be created on changed </td></tr>
    <tr><td class="paramname">exceptionMessage</td><td>output, information about errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac7406d34f6074382e7ed010b7a0367c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _DPTExists </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pattern</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function checks if the given dpt exist </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pattern</td><td>input, the pattern the DPT to check </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a76e7a344e69ca2eed6b852058325d677"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_setModelData </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>newDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dS1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>current</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function used for setting the model data </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newDp</td><td>input, the name the DPT for the model </td></tr>
    <tr><td class="paramname">dS1</td><td>input, field names of publication </td></tr>
    <tr><td class="paramname">current</td><td>input, name of the current value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a597d2a209db249b907af879dfddff4c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_configureAdditionalDpe </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>curDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ramDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>magnetSel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>experiment</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function used for configuing additional dpe's used in the DU Type </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">curDpe</td><td>input, the name of the current value in the publication </td></tr>
    <tr><td class="paramname">ramDpe</td><td>input, the name of the ramping value in the publication </td></tr>
    <tr><td class="paramname">magnetSel</td><td>input, the name of the selected magnet which is published </td></tr>
    <tr><td class="paramname">experiment</td><td>input, the name of the selected experiment </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acea67a93aee0d3bce13f248ba60ccdb8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_getValuesDeviceUnit </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>DPT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>current</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ramping</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string &amp;&#160;</td>
          <td class="paramname"><em>names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionMessage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>For a given DTP the function returns the structure with the current and ramping value and their types. </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">DPT</td><td>input, the name of the DPT </td></tr>
    <tr><td class="paramname">current</td><td>input, the name of the current value in the publication </td></tr>
    <tr><td class="paramname">ramping</td><td>input, the name of the ramping value in the publication </td></tr>
    <tr><td class="paramname">names</td><td>output, structure with the current and ramping value and their types </td></tr>
    <tr><td class="paramname">exceptionMessage</td><td>output, information about errors </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6462f3eae36ca95ce843ea8b24697d2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_createDeviceUnit </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fwMagnetDP</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>values</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Function for creating a DU Type for the magnets of an experiment. </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fwMagnetDP</td><td>input, the name of the DPT for the magnets of an experiment </td></tr>
    <tr><td class="paramname">values</td><td>input, structure with the current and ramping value and their types </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa54514e2251a69274551deaf830fb198"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_getDptFieldData </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>DPT</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dfn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>For a given DTP the function gets the structure with the names of its dpes. </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">DPT</td><td>input, the name of the DPT </td></tr>
    <tr><td class="paramname">dfn</td><td>output, structure with the names of the dpes for the DPT </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad43e98cae8e71cec51815c8c62a4cf35"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _isSameStructure </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>ds1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>ds2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if two structures have the same content. </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ds1</td><td>input, structure number 1 </td></tr>
    <tr><td class="paramname">ds2</td><td>input, structure number 2 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a537d57c2867b3ab3fb24fd7c97205698"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_getDataType </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>typeIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>typeOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the type in a string. </p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">typeIn</td><td>input, type in a int </td></tr>
    <tr><td class="paramname">typeOut</td><td>output, type in a string </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwMCS_8ctl.html">fwMCS.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
